Bug 119143 - FILEOPEN Arabic text truncated in attached DOCX
Summary: FILEOPEN Arabic text truncated in attached DOCX
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.0
Keywords: filter:docx
Depends on:
Blocks: DOCX RTL-Arabic
  Show dependency treegraph
 
Reported: 2018-08-07 14:27 UTC by Aron Budea
Modified: 2018-09-15 18:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (16.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-07 14:27 UTC, Aron Budea
Details
Comparison screenshot (Word - Writer) (61.23 KB, image/png)
2018-08-07 14:27 UTC, Aron Budea
Details
image - working with 6.2 (182.65 KB, image/png)
2018-09-15 15:37 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-08-07 14:27:00 UTC
Created attachment 144011 [details]
Sample DOCX

The attached DOCX was created in Word by copying the Arabic sample text from [1] in an empty RTL document.
When opened in Writer, only a fragment of the text is shown.

Observed with LO 6.1.0.3 & 3.3.0 / Windows 7.

[1] https://r12a.github.io/scripts/tutorial/summaries/arabic
Comment 1 Aron Budea 2018-08-07 14:27:40 UTC
Created attachment 144012 [details]
Comparison screenshot (Word - Writer)
Comment 2 Xisco Faulí 2018-08-07 14:53:15 UTC
Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: c86a47a9d3debbc7e8ee6247f573e7f98c611f19
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 3 Mike Kaganski 2018-08-27 15:11:01 UTC
https://gerrit.libreoffice.org/59643
Comment 4 Commit Notification 2018-08-27 17:44:37 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3c4847d359ad74f0ba45a36c28ecb75f4694ca1

tdf#119143: introduce tentative directional embedding import support

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2018-09-15 15:37:22 UTC
Created attachment 144899 [details]
image  -  working with 6.2

working with 6.2. See the image

Version: 6.2.0.0.alpha0+
Build ID: 9a9b81c7212fa6a6762246593acf3f1950677a22
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-08_00:00:43
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded
Comment 6 Aron Budea 2018-09-15 18:18:05 UTC
Thanks for retesting, and to Mike for the fix, let's set to VERIFIED.